CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2016-0705

Double free vulnerability in the dsa_priv_decode function in crypto/dsa/dsa_ameth.c in OpenSSL 1.0.1 before 1.0.1s and 1.0.2 before 1.0.2g allows remote attackers to cause a denial of service (memory corruption) or possibly have unspecified other impact via a malformed DSA private key.
Publish Date : 2016-03-03 Last Update Date : 2017-09-07
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceMemory corruption
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2016:0301: openssl security update (Important) oval:com.redhat.rhsa:def:20160301 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2016-0705

# Product Type Vendor Product Version Update Edition Language
1 OS Google Android 4.0 Version Details Vulnerabilities
2 OS Google Android 4.0.1 Version Details Vulnerabilities
3 OS Google Android 4.0.2 Version Details Vulnerabilities
4 OS Google Android 4.0.3 Version Details Vulnerabilities
5 OS Google Android 4.0.4 Version Details Vulnerabilities
6 OS Google Android 4.1 Version Details Vulnerabilities
7 OS Google Android 4.1.2 Version Details Vulnerabilities
8 OS Google Android 4.2 Version Details Vulnerabilities
9 OS Google Android 4.2.1 Version Details Vulnerabilities
10 OS Google Android 4.2.2 Version Details Vulnerabilities
11 OS Google Android 4.3 Version Details Vulnerabilities
12 OS Google Android 4.3.1 Version Details Vulnerabilities
13 OS Google Android 4.4 Version Details Vulnerabilities
14 OS Google Android 4.4.1 Version Details Vulnerabilities
15 OS Google Android 4.4.2 Version Details Vulnerabilities
16 OS Google Android 4.4.3 Version Details Vulnerabilities
17 OS Google Android 5.0 Version Details Vulnerabilities
18 OS Google Android 5.0.1 Version Details Vulnerabilities
19 OS Google Android 5.1 Version Details Vulnerabilities
20 OS Google Android 5.1.0 Version Details Vulnerabilities
21 OS Google Android 6.0 Version Details Vulnerabilities
22 OS Google Android 6.0.1 Version Details Vulnerabilities
23 Application Openssl Openssl 1.0.1i Version Details Vulnerabilities
24 Application Openssl Openssl 1.0.1 Beta1 Version Details Vulnerabilities
25 Application Openssl Openssl 1.0.1n Version Details Vulnerabilities
26 Application Openssl Openssl 1.0.1c Version Details Vulnerabilities
27 Application Openssl Openssl 1.0.1h Version Details Vulnerabilities
28 Application Openssl Openssl 1.0.1 Version Details Vulnerabilities
29 Application Openssl Openssl 1.0.1m Version Details Vulnerabilities
30 Application Openssl Openssl 1.0.1b Version Details Vulnerabilities
31 Application Openssl Openssl 1.0.1r Version Details Vulnerabilities
32 Application Openssl Openssl 1.0.1g Version Details Vulnerabilities
33 Application Openssl Openssl 1.0.1l Version Details Vulnerabilities
34 Application Openssl Openssl 1.0.1a Version Details Vulnerabilities
35 Application Openssl Openssl 1.0.1q Version Details Vulnerabilities
36 Application Openssl Openssl 1.0.1f Version Details Vulnerabilities
37 Application Openssl Openssl 1.0.1k Version Details Vulnerabilities
38 Application Openssl Openssl 1.0.1 Beta3 Version Details Vulnerabilities
39 Application Openssl Openssl 1.0.1p Version Details Vulnerabilities
40 Application Openssl Openssl 1.0.1e Version Details Vulnerabilities
41 Application Openssl Openssl 1.0.1j Version Details Vulnerabilities
42 Application Openssl Openssl 1.0.1 Beta2 Version Details Vulnerabilities
43 Application Openssl Openssl 1.0.1o Version Details Vulnerabilities
44 Application Openssl Openssl 1.0.1d Version Details Vulnerabilities
45 Application Openssl Openssl 1.0.2c Version Details Vulnerabilities
46 Application Openssl Openssl 1.0.2 Version Details Vulnerabilities
47 Application Openssl Openssl 1.0.2b Version Details Vulnerabilities
48 Application Openssl Openssl 1.0.2a Version Details Vulnerabilities
49 Application Openssl Openssl 1.0.2f Version Details Vulnerabilities
50 Application Openssl Openssl 1.0.2 Beta3 Version Details Vulnerabilities
51 Application Openssl Openssl 1.0.2e Version Details Vulnerabilities
52 Application Openssl Openssl 1.0.2 Beta2 Version Details Vulnerabilities
53 Application Openssl Openssl 1.0.2d Version Details Vulnerabilities
54 Application Openssl Openssl 1.0.2 Beta1 Version Details Vulnerabilities
55 Application Oracle Mysql 5.6.29 Version Details Vulnerabilities
56 Application Oracle Mysql 5.7.11 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Google Android 22
Openssl Openssl 32
Oracle Mysql 2

- References For CVE-2016-0705

http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00004.html
SUSE SUSE-SU-2016:0624
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05376917 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05126404 CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00002.html
SUSE SUSE-SU-2016:0620
https://kb.pulsesecure.net/articles/Pulse_Security_Advisories/SA40168 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05111017 CONFIRM
https://security.gentoo.org/glsa/201603-15
GENTOO GLSA-201603-15
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05390722 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05301946 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05158380 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05176716 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05150888 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05150800 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05150736 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05141441 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05135617 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05131085 CONFIRM
https://www.openssl.org/news/secadv/20160301.txt CONFIRM
http://lists.fedoraproject.org/pipermail/package-announce/2016-March/178817.html
FEDORA FEDORA-2016-e6807b3394
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05086877 CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00003.html
SUSE SUSE-SU-2016:0621
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05068681 CONFIRM
http://www.securitytracker.com/id/1035133
SECTRACK 1035133
http://www.ubuntu.com/usn/USN-2914-1
UBUNTU USN-2914-1
https://git.openssl.org/?p=openssl.git;a=commit;h=6c88c71b4e4825c7bc0489306d062d017634eb88 CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00005.html
SUSE openSUSE-SU-2016:0627
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05052990 CONFIRM
https://h20566.www2.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-hpesbhf03741en_us CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00009.html
SUSE openSUSE-SU-2016:0637
http://www.securityfocus.com/bid/91787
BID 91787 Oracle July 2016 Critical Patch Update Multiple Vulnerabilities Release Date:2016-10-10
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00053.html
SUSE openSUSE-SU-2016:1332
http://lists.opensuse.org/opensuse-security-announce/2016-06/msg00019.html
SUSE openSUSE-SU-2016:1566
http://marc.info/?l=bugtraq&m=145889460330120&w=2
HP HPSBGN03563
http://marc.info/?l=bugtraq&m=145983526810210&w=2
HP HPSBGN03569
http://marc.info/?l=bugtraq&m=146108058503441&w=2
HP HPSBMU03575
http://openssl.org/news/secadv/20160301.txt CONFIRM
http://source.android.com/security/bulletin/2016-05-01.html CONFIRM
http://www.securityfocus.com/bid/83754
BID 83754 OpenSSL CVE-2016-0705 Denial of Service Vulnerability Release Date:2017-01-31
http://www.oracle.com/technetwork/topics/security/linuxbulletinjan2016-2867209.html CONFIRM
http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html CONFIRM
http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html CONFIRM
http://www.debian.org/security/2016/dsa-3500
DEBIAN DSA-3500
http://www.oracle.com/technetwork/security-advisory/cpuapr2016v3-2985753.html CONFIRM
http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10759 CONFIRM
http://lists.fedoraproject.org/pipermail/package-announce/2016-March/178358.html
FEDORA FEDORA-2016-2802690366
http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20160302-openssl
CISCO 20160302 Multiple Vulnerabilities in OpenSSL Affecting Cisco Products: March 2016
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00038.html
SUSE SUSE-SU-2016:1057
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00010.html
SUSE openSUSE-SU-2016:0638
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00007.html
SUSE SUSE-SU-2016:0631
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00006.html
SUSE openSUSE-SU-2016:0628
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00001.html
SUSE SUSE-SU-2016:0617

- Metasploit Modules Related To CVE-2016-0705

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.